=== debian/changelog ===
vala-panel-appmenu (0.6.94+repack1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release (0.6.93).
  * debian/patches:
    + Drop 0001_fix_menu_bar_height.patch. Applied upstream.
    + Drop 0002_make_separator_transparent.patch. Applied upstream.
    + Drop 0010_send_opened_before_actual_load.patch. Applied upstream.
    + Drop 0011_check_and_ignore_firefox_stubs.patch. Applied upstream.
    + Drop 0012_use_opened_before_abouttoshow.patch. Applied upstream.
    + Drop 0020_handle_non_standard_border.patch. Applied upstream.
    + Rebased 2001_subprojects-not-shipped-with-the-source-tree.patch.
    + Add 0001_nullify_GVariants.patch. nullify GVariants to prevent Qt5
      applications from crashing the XFCE panel.
  * debian/rules:
    + Add -DENABLE_REGISTRAR=ON to ensure appmenu-registrar is built.

  [ Mike Gabriel ]
  * New upstream release (0.6.94).
  * debian/patches:
    + Drop 0001_nullify_GVariants.patch. Applied upstream in 0.6.94.
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in file.
    + Add Comment: field that explains why the orig tarball has been repacked.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 29 Mar 2018 22:00:01 +0200

vala-panel-appmenu (0.6.92+repack1-3) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/10_budgie_appmenu_applet.gschema.override:
    + Update namespace to reflect upstream changes.
  * debian/10_mate_applet_appmenu.gschema.override:
    + Update namespace to reflect upstream changes. Make application names bold
      via gschema override.
  * debian/patches:
    + Drop 2002_bold_application_name.patch. Bold application names are now set
      via a gschema override.
    + Add 0002_make_separator_transparent.patch: Make the separator between the
      application name and menus transparent for wider theme compatibility.
    + Add 0010_send_opened_before_actual_load.patch. Send opened before actual
      load to support Firefox and Thunderbird.
    + Add 0011_check_and_ignore_firefox_stubs.patch. Check and ignore Firefox
      stubs.
    + Add 0012_use_opened_before_abouttoshow.patch. Use Opened before
      AboutToShow to properly support Firefox and Thunderbird.
    + Add 0020_handle_non_standard_border.patch. Handle non-standard borders
      to prevent VLC crashing the applet.

  [ Mike Gabriel ]
  * debian/control:
    + Drop alternative Recommends: of unity-gtk<X>-module. Debian and Ubuntu
      both (and other derivatives) should now use appmenu-gtk-module.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 07 Mar 2018 10:57:57 +0100

vala-panel-appmenu (0.6.92+repack1-2) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/control:
    + Fix Vcs-*: fields. Don't point to upstream but to Alioth.

  [ Martin Wimpress ]
  * debian/vala-panel-appmenu.sh:
    + Fix GTK_MODULES to load appmenu-gtk-module.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 03 Mar 2018 15:56:20 +0100

vala-panel-appmenu (0.6.92+repack1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/rules:
    + Drop obsolete -DMAKE_BOLD_APPNAME=ON. Bold application names is now an in
      applet preference.
  * debian/copyright:
    + Update copyright attributions.
  * debian/patches:
    + Add README.
    + Add 0001_fix_menu_bar_height.patch. Use EXPAND_MINOR to correct the height
      of global menus.
    + Add 2002_bold_application_name.patch. Make application names bold by
      default.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 01 Mar 2018 20:25:26 +0100

vala-panel-appmenu (0.6.80+repack1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Alternatively recommend appmenu-gtk*-module _or_ unity-gtk*-module.
    + Versioned B-D on libbamf3-dev (>= 0.5.0). Add bamfdaemon to B-Ds, too.
  * debian/copyright:
    + Update copyright attributions.
    + Use secure URI in copyright format.
    + Add copyright.in (auto-generated reference for copyright file).
  * debian/rules:
    + Fix orig tarball repacking for 0.6.80.
    + Switch from dh_install --list-missing to dh_missing --fail-missing.
  * debian/patches:
    + Adapt 2001_subprojects-not-shipped-with-the-source-tree.patch to
      reorganization in upstream source tree.
    + Drop 0000_fix_mate_expand.patch. Applied upstream.
  * debian/vala-panel-appmenu-common.install:
    + Add org.valapanel.appmenu.gschema.xml.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 15 Feb 2018 23:53:51 +0100

vala-panel-appmenu (0.6.1+repack1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * Initial upload to Debian. (Closes: #887906).
  * Add bin:pkg vala-panel-appmenu-registrar.

  [ Mike Gabriel ]
  * debian/copyright:
    + Update copyright attributions.
  * debian/control:
    + Bump Standards-Version: to 4.1.3. No changes needed.
  * debian/{control,compat}:
    + Bump DH version level to 11.
  * debian/rules:
    + Include buildflags.mk to fix missing hardening.
    + Repack tarball and remove jayatana and appmenu-gtk-module.
  * debian/watch:
    + Add dversionmangle magic.
  * debian/patches:
    + Add 2001_subprojects-not-shipped-with-the-source-tree.patch.
      Disable building code removed in repacked orig tarball. Also
      drop some RPM building logic not required for Debian.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 22 Jan 2018 00:25:35 +0100
