=== debian/control ===
Source: vala-panel-appmenu
Section: x11
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Martin Wimpress <martin.wimpress@ubuntu.com>,
 Mike Gabriel <sunweaver@debian.org>,
 Debian+Ubuntu MATE Packaging Team <debian-mate@lists.alioth.debian.org>,
Build-Depends: budgie-core-dev,
               cmake (>= 2.8.0),
               debhelper (>= 11~),
               libbamf3-dev (>= 0.5.0),
               bamfdaemon (>= 0.5.0),
               libgtk-3-dev (>= 3.12.0),
               libmate-panel-applet-dev (>= 1.16),
               libpeas-dev (>= 1.2.0),
               libvalapanel-dev (>= 0.3.60),
               libwnck-3-dev (>= 3.4.0),
               libxfce4panel-2.0-dev,
               libxfconf-0-dev,
               valac (>= 0.24.0),
               xfce4-panel-dev (>= 4.11.2),
Standards-Version: 4.1.3
Homepage: https://github.com/rilian-la-te/vala-panel-appmenu
Vcs-Git: https://anonscm.debian.org/git/pkg-ayatana/vala-panel-appmenu.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-ayatana/vala-panel-appmenu.git

Package: budgie-appmenu-applet
Architecture: any
Depends: bamfdaemon,
         vala-panel-appmenu-common (= ${source:Version}),
         vala-panel-appmenu-registrar (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: appmenu-qt,
            appmenu-qt5,
            libdbusmenu-glib4,
            libdbusmenu-gtk3-4,
            libdbusmenu-gtk4,
            appmenu-gtk2-module,
            appmenu-gtk3-module,
Description: Application Menu plugin for budgie-panel
 This is an Application Menu (Global Menu) plugin. It is built using
 the Unity protocol and libraries and provides all features found in
 the Unity implementation.
 .
 This package provides the plugin for Budgie.

Package: xfce4-appmenu-plugin
Section: xfce
Architecture: any
Depends: bamfdaemon,
         vala-panel-appmenu-common (= ${source:Version}),
         vala-panel-appmenu-registrar (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: appmenu-qt,
            appmenu-qt5,
            libdbusmenu-glib4,
            libdbusmenu-gtk3-4,
            libdbusmenu-gtk4,
            appmenu-gtk2-module,
            appmenu-gtk3-module,
Description: Application Menu plugin for xfce4-panel
 This is an Application Menu (Global Menu) plugin. It is built using
 the Unity protocol and libraries and provides all features found in
 the Unity implementation.
 .
 This package provides the plugin for Xfce.

Package: mate-applet-appmenu
Architecture: any
Depends: bamfdaemon,
         vala-panel-appmenu-common (= ${source:Version}),
         vala-panel-appmenu-registrar (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: appmenu-qt,
            appmenu-qt5,
            libdbusmenu-glib4,
            libdbusmenu-gtk3-4,
            libdbusmenu-gtk4,
            appmenu-gtk2-module,
            appmenu-gtk3-module,
Description: Application Menu plugin for mate-panel
 This is an Application Menu (Global Menu) plugin. It is built using
 the Unity protocol and libraries and provides all features found in
 the Unity implementation.
 .
 This package provides the plugin for MATE.

Package: vala-panel-appmenu
Architecture: any
Depends: bamfdaemon,
         vala-panel-appmenu-common (= ${source:Version}),
         vala-panel-appmenu-registrar (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: appmenu-qt,
            appmenu-qt5,
            libdbusmenu-glib4,
            libdbusmenu-gtk3-4,
            libdbusmenu-gtk4,
            appmenu-gtk2-module,
            appmenu-gtk3-module,
Description: Application Menu plugin for vala-panel
 This is an Application Menu (Global Menu) plugin. It is built using
 the Unity protocol and libraries and provides all features found in
 the Unity implementation.

Package: vala-panel-appmenu-registrar
Architecture: any
Depends: vala-panel-appmenu-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: appmenu-qt,
            appmenu-qt5,
            libdbusmenu-glib4,
            libdbusmenu-gtk3-4,
            libdbusmenu-gtk4,
            appmenu-gtk2-module,
            appmenu-gtk3-module,
Description: DBusMenu registrar for vala-panel
 This is an Application Menu (Global Menu) plugin. It is built using
 the Unity protocol and libraries and provides all features found in
 the Unity implementation.
 .
 This package provides a DBusMenu registrar.

Package: vala-panel-appmenu-common
Architecture: all
Depends: ${misc:Depends},
Description: Common files for Application Menu plugins
 This is an Application Menu (Global Menu) plugin. It is built using
 the Unity protocol and libraries and provides all features found in
 the Unity implementation.
 .
 This package provides common files.
