=== debian/watch ===
version=4
opts=dversionmangle=s/\+repack1//;s/~rc/-rc/ \
https://github.com/rilian-la-te/vala-panel-appmenu/releases .*/vala-panel-appmenu-(\d\S+)\.tar\.gz
