## vala-panel-appmenu 0.7.1+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,21 +3,29 @@
 project (vala-panel-appmenu C)
 enable_testing ()
 include(GNUInstallDirs)
+include(FeatureSummary)
 set (DATADIR "${CMAKE_INSTALL_FULL_DATADIR}/vala-panel")
 set (PKGDATADIR "${DATADIR}")
 set (GETTEXT_PACKAGE "vala-panel-appmenu")
 set (RELEASE_NAME "Vala Panel Application Menu")
 set (PREFIX ${CMAKE_INSTALL_PREFIX})
 list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
+if(EXISTS ${CMAKE_SOURCE_DIR}/cmake/VCMSubmodule.cmake)
+    include(${CMAKE_SOURCE_DIR}/cmake/VCMSubmodule.cmake)
+    use_vcm(${CMAKE_SOURCE_DIR}/cmake)
+else()
+    find_package(VCM REQUIRED NO_MODULE)
+    list(APPEND CMAKE_MODULE_PATH ${VCM_MODULE_PATH})
+endif()
 include(GitVersion)
 determine_fallback_version(${CMAKE_SOURCE_DIR}/cmake)
-include(FallbackVersion)
+include(${CMAKE_SOURCE_DIR}/cmake/FallbackVersion.cmake)
 include(Format)
 
 # Add 'make dist' command for creating release tarball
 set (CPACK_PACKAGE_VERSION ${VERSION})
 set (CPACK_PACKAGE_RELEASE "1")
-set (CPACK_SOURCE_GENERATOR "TGZ")
+set (CPACK_SOURCE_GENERATOR "TXZ")
 set (CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
 set (CPACK_SOURCE_IGNORE_FILES "/build/;/.gitmodules;/.git;/.gitignore;~$;${CPACK_SOURCE_IGNORE_FILES}")
 
@@ -77,8 +85,8 @@
 find_package(WNCK 3.4.8)
 cmake_dependent_option(ENABLE_WNCK "Enable libwnck-related functions" ON
     "WNCK_FOUND" OFF)
+add_feature_info(LibWnck ENABLE_WNCK "alternative supporting backend")
 if (ENABLE_WNCK)
-    message("Using libwnck, will be X-dependent")
     set(WNCK_DEFINE -D WNCK)
     set(WNCK_PACKAGES libwnck-3.0)
     set(WNCK_TARGETS WNCK::WNCK)
@@ -86,28 +94,35 @@
 pkg_check_modules(XFCE libxfce4panel-2.0 libxfconf-0 IMPORTED_TARGET)
 cmake_dependent_option(ENABLE_XFCE "Enable Xfce Panel Integration" ON
     "XFCE_FOUND" OFF)
+add_feature_info(Xfce ENABLE_XFCE "Xfce Panel Integration")
 
-pkg_check_modules(MATE libmatepanelapplet-4.0 IMPORTED_TARGET)
+pkg_check_modules(MATE libmatepanelapplet-4.0>=1.20 IMPORTED_TARGET)
 cmake_dependent_option(ENABLE_MATE "Enable mate-panel Integration" ON
     "MATE_FOUND" OFF)
+add_feature_info(MATE ENABLE_MATE "MATE Panel Integration")
 
 find_package(PEAS 1.14 COMPONENTS PEAS)
 pkg_check_modules(VALAPANEL vala-panel IMPORTED_TARGET)
-pkg_check_modules(VP_NEW vala-panel>=0.3.50 QUIET)
+pkg_check_modules(VP_NEW vala-panel>=0.4.50 QUIET)
 pkg_check_modules(BUDGIE budgie-1.0 IMPORTED_TARGET)
 
 cmake_dependent_option(ENABLE_VALAPANEL "Enable Vala Panel Integration" ON
-    "VALAPANEL_FOUND; PEAS_FOUND" OFF)
+    "VALAPANEL_FOUND" OFF)
 if (VP_NEW_FOUND)
-    message("Using 0.4 ValaPanelApplet api")
+    add_feature_info(ValaPanel ENABLE_VALAPANEL "Vala Panel Integration - 0.5.x")
     set(NEW_DEFINE -D NEW)
     set(NEW_IFACE ON)
+else()
+    add_feature_info(ValaPanel ENABLE_VALAPANEL "Vala Panel Integration - 0.4.x")
 endif()
 
 cmake_dependent_option(ENABLE_BUDGIE "Enable budgie-desktop plugin" ON
     "BUDGIE_FOUND; PEAS_FOUND" OFF)
+add_feature_info(Budgie ENABLE_BUDGIE "Budgie Desktop Integration")
 
 add_subdirectory(subprojects)
 ADD_SUBDIRECTORY(lib)
 add_subdirectory(data)
 add_subdirectory(po)
+
+feature_summary(WHAT ALL)
