=== debian/changelog ===
vala-panel-appmenu (0.7.1+dfsg1-1) unstable; urgency=medium

  * New upstream release. (Closes: #907708).
  * debian/control (et al.):
    + Drop bin:pkg vala-panel-appmenu-registrar and use bin:pkg
      appmenu-registrar instead.
  * debian/control:
    + Update B-Ds; add cmake-vala, bump versioned B-D libvalapanel-dev
      to (>= 0.4).
    + Bump Standards-Version: to 4.2.1. No changes needed.
  * debian/patches:
    + Drop 2001_subprojects-not-shipped-with-the-source-tree.patch.
    + Add 2001_no-subprojects.patch: in Debian, we ship the subprojects as
      separate src:pkgs.
    + Add 2002_no-FallbackVersion-update.patch: don't generate
      FallbackVersion.cmake at build time.
  * debian/rules:
    + Add dh_auto_clean override to get rid of some build cruft.
  * debian/vala-panel-appmenu.install:
    + Plugins have been moved to DATADIR, add usr/share/vala-panel/*.
  * debian/mate-applet-appmenu.install:
    + The org.mate.panel.applet.AppmenuAppletFactory.service file has been
      dropped by upstream.
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in file.
  * debian/watch:
    + Adapt to new upstream release scheme.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 03 Sep 2018 16:46:28 +0200

vala-panel-appmenu (0.6.94+repack1-2) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/patches:
    + 10_budgie_appmenu_applet.gschema.override. Do not blacklist glade or
      anjuta, both now work.
    + 10_mate_applet_appmenu.gschema.override. Do not blacklist glade or anjuta,
      both now work.

  [ Mike Gabriel ]
  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
    + Fix MATE team's mail address in Uploaders: field.
  * debian/{control,copyright,watch}: New upstream home (GitLab.com).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 22 Jul 2018 22:11:53 +0200
