=== debian/control ===
--- 
+++ 
@@ -5,31 +5,32 @@
 Uploaders:
  Martin Wimpress <martin.wimpress@ubuntu.com>,
  Mike Gabriel <sunweaver@debian.org>,
- Debian+Ubuntu MATE Packaging Team <debian-mate@lists.alioth.debian.org>,
+ Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>,
 Build-Depends: budgie-core-dev,
                cmake (>= 2.8.0),
+               cmake-vala,
                debhelper (>= 11~),
                libbamf3-dev (>= 0.5.0),
                bamfdaemon (>= 0.5.0),
                libgtk-3-dev (>= 3.12.0),
                libmate-panel-applet-dev (>= 1.16),
                libpeas-dev (>= 1.2.0),
-               libvalapanel-dev (>= 0.3.60),
+               libvalapanel-dev (>= 0.4),
                libwnck-3-dev (>= 3.4.0),
                libxfce4panel-2.0-dev,
                libxfconf-0-dev,
                valac (>= 0.24.0),
                xfce4-panel-dev (>= 4.11.2),
-Standards-Version: 4.1.3
-Homepage: https://github.com/rilian-la-te/vala-panel-appmenu
-Vcs-Git: https://anonscm.debian.org/git/pkg-ayatana/vala-panel-appmenu.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ayatana/vala-panel-appmenu.git
+Standards-Version: 4.2.1
+Homepage: https://gitlab.com/vala-panel-project/vala-panel-appmenu
+Vcs-Git: https://salsa.debian.org/debian-ayatana-team/vala-panel-appmenu.git
+Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/vala-panel-appmenu
 
 Package: budgie-appmenu-applet
 Architecture: any
 Depends: bamfdaemon,
          vala-panel-appmenu-common (= ${source:Version}),
-         vala-panel-appmenu-registrar (= ${binary:Version}),
+         appmenu-registrar (>= 0.7.1),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: appmenu-qt,
@@ -51,7 +52,7 @@
 Architecture: any
 Depends: bamfdaemon,
          vala-panel-appmenu-common (= ${source:Version}),
-         vala-panel-appmenu-registrar (= ${binary:Version}),
+         appmenu-registrar (>= 0.7.1),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: appmenu-qt,
@@ -72,7 +73,7 @@
 Architecture: any
 Depends: bamfdaemon,
          vala-panel-appmenu-common (= ${source:Version}),
-         vala-panel-appmenu-registrar (= ${binary:Version}),
+         appmenu-registrar (>= 0.7.1),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: appmenu-qt,
@@ -93,7 +94,7 @@
 Architecture: any
 Depends: bamfdaemon,
          vala-panel-appmenu-common (= ${source:Version}),
-         vala-panel-appmenu-registrar (= ${binary:Version}),
+         appmenu-registrar (>= 0.7.1),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: appmenu-qt,
@@ -108,25 +109,6 @@
  the Unity protocol and libraries and provides all features found in
  the Unity implementation.
 
-Package: vala-panel-appmenu-registrar
-Architecture: any
-Depends: vala-panel-appmenu-common (= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends},
-Recommends: appmenu-qt,
-            appmenu-qt5,
-            libdbusmenu-glib4,
-            libdbusmenu-gtk3-4,
-            libdbusmenu-gtk4,
-            appmenu-gtk2-module,
-            appmenu-gtk3-module,
-Description: DBusMenu registrar for vala-panel
- This is an Application Menu (Global Menu) plugin. It is built using
- the Unity protocol and libraries and provides all features found in
- the Unity implementation.
- .
- This package provides a DBusMenu registrar.
-
 Package: vala-panel-appmenu-common
 Architecture: all
 Depends: ${misc:Depends},
