=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 PKD   = $(word 1,$(abspath $(dir $(MAKEFILE_LIST))))
 PKG   = $(DEB_SOURCE)
 UVER  = $(shell echo $(DEB_VERSION) | cut -d "-" -f1)
-DTYPE = +repack1
+DTYPE = +dfsg1
 VER  ?= $(subst $(DTYPE),,$(UVER))
 
 %:
@@ -23,8 +23,6 @@
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
 		-DENABLE_BUDGIE=ON \
 		-DENABLE_MATE=ON \
-		-DENABLE_REGISTRAR=ON \
-		-DENABLE_UNITY_GTK_MODULE=OFF \
 		-DENABLE_VALAPANEL=ON \
 		-DENABLE_XFCE=ON \
 		-DCMAKE_INSTALL_LIBEXECDIR=/usr/lib
@@ -40,6 +38,11 @@
 override_dh_missing:
 	dh_missing --fail-missing
 
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f data/appmenu-mate.desktop.in
+	rm -f data/appmenu.desktop.plugin.in
+
 get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
 	@
 
@@ -49,15 +52,14 @@
 	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
 	@echo "# Extracting..."
 	mkdir $(PKG)-$(VER) \
-	    && tar -xf $(PKG)_$(VER).orig.tar.gz --directory $(PKG)-$(VER) --strip-components 1 \
+	    && tar -xf $(PKG)_$(VER).orig.tar.xz --directory $(PKG)-$(VER) --strip-components 1 \
 	    || $(RM) -r $(PKG)-$(VER)
 	@echo "# Cleaning-up..."
 	cd $(PKG)-$(VER) \
 	    && $(RM) -r -v \
-	        dbusmenu-original/ \
-	        subprojects/appmenu-gtk-module/ \
-	        subprojects/jayatana/ \
-	        po/*.mo \
+	        _ccache/ \
+	        rpm/ \
+	        subprojects/ \
 	        po/stamp-it \
 	        $(NULL)
 	$(RM) -v $(PKG)_$(VER).orig.tar.*
