## vala-panel-appmenu 0.7.3%2Bdfsg1

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg1// \
https://gitlab.com/vala-panel-project/vala-panel-appmenu/tags .*/uploads/.*/vala-panel-appmenu-?([\d\.]+)\.tar\.xz
